<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title"> Aggregated Budget Expense Reports </h3>
        <hr>
        <div class="row">
          <div class="col-sm-2">
            <div class="form-group">
              <label for="fiscalYear">Fiscal Year<span class="required">*</span></label>
              <select id="fiscalYear"
                      class="form-control"
                      name="fiscalYear"
                      [(ngModel)]="fiscalYearId"
                      required>
                <option *ngFor="let event of (fiscalYears); let i = index"
                        [ngValue]="(fiscalYears)[i].id"
                >{{(fiscalYears)[i].year}}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="month">Month<span class="required">*</span></label>
              <select id="month"
                      class="form-control"
                      name="expType"
                      [(ngModel)]="month"
                      required
              >
                <option *ngFor="let event of (months); let i = index"
                        [ngValue]="(months)[i].months"
                >{{ (months)[i].months }}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="accountHead">Account Head </label>
              <select id="accountHead"
                      class="form-control"
                      name="accountHead"
                      [(ngModel)]="selectedAccountHeadId"
                      required>
                <option *ngFor="let event of (accountHeads); let i = index"
                        [ngValue]="(accountHeads)[i].accountHeadId"
                >{{(accountHeads)[i].description + '( ' + (accountHeads)[i].accountNumber + ')' }}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="debitBranch">Debit Branch</label>
              <select id="debitBranch"
                      class="form-control"
                      name="debitBranch"
                      [(ngModel)]="branchId"
                      required>
                <option *ngFor="let event of (allBranch); let i = index"
                        [ngValue]="(allBranch)[i].branchId"
                >{{(allBranch)[i].name + ' ( ' + (allBranch)[i].code + ' )'}}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-success btn-block" (click)="searchData()">
                Search</button>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-danger btn-block" (click)="restValues()">
                Reset</button>
            </div>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-center"
                 [columns]="columnName"
                 [value]="(data$)"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <ng-template pTemplate="caption">
            Total Entries
            :&nbsp;{{ totalRecords }}
            <button class="btn btn-info btn-xs fa-pull-right"
                    (click)="downloadExcel()">
              <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
              <i class="pi pi-file-excel" style="font-size: 1em;"></i>
              Download
            </button>
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{ i + 1 + itemsPerPage * page }}</td>
              <td>{{list.fiscalYear}}</td>
              <td>{{list.month}}</td>
              <td>{{list.solId}}</td>
              <td>{{list.branchName }}</td>
              <td>{{list.accountHead}}</td>
              <td>{{list.budget | currency: 'NPR. ' }}</td>
              <td>{{list.expense | currency: 'NPR. ' }}</td>
              <td>{{list.preApprovedAmount | currency: 'NPR. ' }}</td>
              <td>{{list.ytdBudget | currency: 'NPR. ' }}</td>
              <td>{{list.ytdExpense | currency: 'NPR. ' }}</td>
              <td>{{list.ytdPreApproved | currency: 'NPR. ' }}</td>
              <td>
                  {{(list.ytdBudget  - (list.ytdExpense + list.ytdPreApproved)) | currency: 'NPR. '  }}
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
      </div>
    </div>
  </div>
</div>

